added -avoid-version to LDFLAGS, plugins are not versioned
[strongswan.git] / src / charon / plugins / kernel_netlink / Makefile.am
1
2 INCLUDES = -I${linuxdir} -I$(top_srcdir)/src/libstrongswan -I$(top_srcdir)/src/charon
3
4 AM_CFLAGS = -rdynamic
5
6 plugin_LTLIBRARIES = libstrongswan-kernel-netlink.la
7
8 libstrongswan_kernel_netlink_la_SOURCES = kernel_netlink_plugin.h kernel_netlink_plugin.c \
9         kernel_netlink_ipsec.h kernel_netlink_ipsec.c kernel_netlink_net.h kernel_netlink_net.c \
10         kernel_netlink_shared.h kernel_netlink_shared.c
11 libstrongswan_kernel_netlink_la_LDFLAGS = -module -avoid-version